Raritan PX2/PX3 JSON-RPC API: pdumodel::TransferSwitch_4_0_4 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::TransferSwitch_4_0_4 Interface Reference

Transfer switch interface. More...

`import"TransferSwitch.idl";`

Inheritance diagram for pdumodel::TransferSwitch_4_0_4:

## Classes
struct | MetaData
| Transfer switch metadata. More...
struct | Sensors
| Transfer switch sensors. More...
struct | Settings
| Transfer switch settings. More...
struct | Statistics
| Transfer switch statistics. More...
struct | TransferLogEntry
| Transfer log entry. More...
struct | WaveformSample
| Sample of voltage and current waveform. More...

## Public Types
enum | Type { STS, ATS, HTS }
| Transfer switch type. More...
enum | TransferReason { REASON_UNKNOWN, REASON_STARTUP, REASON_MANUAL_TRANSFER, REASON_AUTO_RETRANSFER, REASON_POWER_FAILURE, REASON_POWER_QUALITY, REASON_OVERLOAD, REASON_OVERHEAT, REASON_INTERNAL_FAILURE }
typedef map< string, int > | Parameters
| Transfer switch parameter map. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the transfer switch metadata. More...
Sensors | getSensors ()
| Get the transfer switch sensors. More...
vector< ThrowPole_2_0_0 > | getPoles ()
| Get the list of transfer switch poles. More...
Settings | getSettings ()
| Retrieve the transfer switch settings. More...
int | setSettings (in Settings settings)
| Change the transfer switch settings. More...
Statistics | getStatistics ()
| Retrieve the transfer switch statistics. More...
int | transferToSource (in int source, in boolean faultOverride)
| Select the active inlet. More...
TransferReason | getLastTransferReason ()
| Get the reason for the last transfer. More...
vector< WaveformSample > | getLastTransferWaveform ()
| Get the voltage and current waveforms during the last transfer. More...
vector< TransferLogEntry > | getTransferLog ()
| Retrieve the transfer log. More...
Parameters | getParameters ()
| Retrieve the transfer switch parameters. More...
int | setParameters (in Parameters parameters)
| Update one or more transfer switch parameters. More...
Public Member Functions inherited from pdumodel::EDevice
vector< EDevice > | getParents ()
| Get the list of devices that provide energy to this device. More...
vector< EDevice > | getChildren ()
| Get the list of devices that are directly fed by this device. More...

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_SWITCH_PREVENTED = 2
| Switching failed due to an alarm that may be overridden.
constant int | ERR_SWITCH_FAILED = 3
| Switching failed, no override possible.
constant int | OPERATIONAL_STATE_OFF = 0
| Both inlets are off.
constant int | OPERATIONAL_STATE_NORMAL = 1
| Active inlet equals preferred inlet.
constant int | OPERATIONAL_STATE_STANDBY = 2
| Active inlet and preferred inlet are different.
constant int | OPERATIONAL_STATE_NON_REDUNDANT = 3
| Active inlet equals preferred inlet, standby power critical.
constant int | SWITCH_FAULT_I1_SHORT = 1
| Inlet 1 switch is permanently closed.
constant int | SWITCH_FAULT_I1_OPEN = 2
| Inlet 1 switch is permanently open.
constant int | SWITCH_FAULT_I2_SHORT = 4
| Inlet 2 switch is permanently closed.
constant int | SWITCH_FAULT_I2_OPEN = 8
| Inlet 2 switch is permanently open.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Transfer switch settings have been changed. More...
Settings | newSettings
| Settings after change.

## Detailed Description

Transfer switch interface.

## Member Typedef Documentation

## ◆ Parameters

typedef map<string, int> pdumodel::TransferSwitch_4_0_4::Parameters

Transfer switch parameter map.

The set of parameters, their meaning and allowed set of values are technology-dependent and subject to change. Do not modify any values without instruction from Raritan!

## Member Enumeration Documentation

## ◆ TransferReason

enum pdumodel::TransferSwitch_4_0_4::TransferReason

Enumerator
REASON_UNKNOWN | Transfer reason unknown.
REASON_STARTUP | Startup or return to normal conditions.
REASON_MANUAL_TRANSFER | Manual transfer.
REASON_AUTO_RETRANSFER | Automatic retransfer.
REASON_POWER_FAILURE | Previous inlet power failed.
REASON_POWER_QUALITY | New inlet provided better power quality.
REASON_OVERLOAD | Switched off due to overload alarm.
REASON_OVERHEAT | Switched off due to overheat alarm.
REASON_INTERNAL_FAILURE | Transferred because of hardware failure (e.g. switch fault)

## ◆ Type

enum pdumodel::TransferSwitch_4_0_4::Type

Transfer switch type.

Enumerator
STS | Static transfer switch (using SCRs as switch technology)
ATS | Asynchronous transfer switch (using relays)
HTS | Hybrid transfer switch (relays plus SCRs)

## Member Function Documentation

## ◆ getLastTransferReason()

TransferReason pdumodel::TransferSwitch_4_0_4::getLastTransferReason | ( |  | ) |

Get the reason for the last transfer.

Returns
  Last transfer reason

## ◆ getLastTransferWaveform()

vector<WaveformSample> pdumodel::TransferSwitch_4_0_4::getLastTransferWaveform | ( |  | ) |

Get the voltage and current waveforms during the last transfer.

Note
  The interval between two samples is 1/4800 s. This is subject to change in future updates.

Returns
  Waveform samples

## ◆ getMetaData()

MetaData pdumodel::TransferSwitch_4_0_4::getMetaData | ( |  | ) |

Retrieve the transfer switch metadata.

Returns
  Transfer switch metadata

## ◆ getParameters()

Parameters pdumodel::TransferSwitch_4_0_4::getParameters | ( |  | ) |

Retrieve the transfer switch parameters.

Returns
  Parameters map

## ◆ getPoles()

vector<ThrowPole_2_0_0> pdumodel::TransferSwitch_4_0_4::getPoles | ( |  | ) |

Get the list of transfer switch poles.

Returns
  List of poles

## ◆ getSensors()

Sensors pdumodel::TransferSwitch_4_0_4::getSensors | ( |  | ) |

Get the transfer switch sensors.

Returns
  Transfer switch sensors

## ◆ getSettings()

Settings pdumodel::TransferSwitch_4_0_4::getSettings | ( |  | ) |

Retrieve the transfer switch settings.

Returns
  Transfer switch settings

## ◆ getStatistics()

Statistics pdumodel::TransferSwitch_4_0_4::getStatistics | ( |  | ) |

Retrieve the transfer switch statistics.

Returns
  Transfer switch statistics

## ◆ getTransferLog()

vector<TransferLogEntry> pdumodel::TransferSwitch_4_0_4::getTransferLog | ( |  | ) |

Retrieve the transfer log.

Returns
  Transfer log

## ◆ setParameters()

int pdumodel::TransferSwitch_4_0_4::setParameters | ( | in Parameters | parameters | ) |

Update one or more transfer switch parameters.

Parameters

  parameters | Map of transfer switch parameters. Parameters which are not in the map remain unchanged.

Returns
  0 if OK
  ERR_INVALID_PARAM if any parameter is invalid

## ◆ setSettings()

int pdumodel::TransferSwitch_4_0_4::setSettings | ( | in Settings | settings | ) |

Change the transfer switch settings.

Returns
  0 if OK
  1 if any parameters are invalid

## ◆ transferToSource()

int pdumodel::TransferSwitch_4_0_4::transferToSource | ( | in int | source,
|  | in boolean | faultOverride
| ) |  |

Select the active inlet.

If the new inlet is available, it will become both active and preferred.

Parameters

  source | New active inlet index
  faultOverride | Force switch even if the phase sync angle between the inputs is too large

Returns
  0 if OK
  ERR_INVALID_PARAM if the selected source is invalid
  ERR_SWITCH_PREVENTED if switching failed due to an alarm that may be overridden
  ERR_SWITCH_FAILED if switching failed and no override is possible

## Member Data Documentation

## ◆ SettingsChangedEvent

valueobject pdumodel::TransferSwitch_4_0_4::SettingsChangedEvent

Event: Transfer switch settings have been changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/TransferSwitch.idl